Subject: Re: [PATCH v2] i2c: cpm: Fix i2c_ram structure

From: Wolfram Sang <[email-masked]>
Date: Sun, 27 Sep 2020 15:15:35 +0200

On Wed, Sep 23, 2020 at 04:08:40PM +0200, [email-masked] wrote:
> From: Nicolas VINCENT <[email-masked]>
> 
> the i2c_ram structure is missing the sdmatmp field mentionned in
> datasheet for MPC8272 at paragraph 36.5. With this field missing, the
> hardware would write past the allocated memory done through
> cpm_muram_alloc for the i2c_ram structure and land in memory allocated
> for the buffers descriptors corrupting the cbd_bufaddr field. Since this
> field is only set during setup(), the first i2c transaction would work
> and the following would send data read from an arbitrary memory
> location.
> 
> Signed-off-by: Nicolas VINCENT <[email-masked]>

Fixes tag aded and applied to for-current, thanks everyone!